from django.urls import path
from . import views

app_name = 'dashboard'

urlpatterns =[
    # Tableau de bord principal (Liste événements + stats globales)
    path('', views.DashboardHomeView.as_view(), name='home'),
    
    # Détail d'un événement (Stats locales + types de tickets)
    path('evenement/<int:pk>/', views.EvenementDetailView.as_view(), name='evenement_detail'),
    
    # Formulaire de création d'un ticket spécifique
    path('evenement/<int:evenement_id>/creer-ticket/<int:type_ticket_id>/', views.TicketCreateView.as_view(), name='ticket_create'),
    
    # Aperçu du ticket avant téléchargement PDF
    path('ticket/<uuid:uuid>/apercu/', views.TicketPreviewView.as_view(), name='ticket_preview'),
]